import request from '/@/utils/request';
//#region ======================信号表格列表 ======================
/**
 *
 * @summary
 */
export async function GetAll(params, req: any = request) {
	return req({
		url: '/Monitor/Signal/Template/GetByTemplateID@V1.0',
		method: 'GET',
		params: params,
	});
}
//插入一条
export async function InsertGetByID(params, req: any = request) {
	return req({
		url: '/Monitor/Signal/Template/Insert@V1.0',
		method: 'POST',
		data: params,
	});
}
//更新一条
export async function UpdateGetByID(params, req: any = request) {
	return req({
		url: '/Monitor/Signal/Template/Update@V1.0',
		method: 'PUT',
		data: params,
	});
}
//删除一条
export async function DeleteGetByID(params, req: any = request) {
	return req({
		url: '/Monitor/Signal/Template/DeleteByID@V1.0',
		method: 'DELETE',
		params: params,
	});
}
/**
 * @summary 更新用户排序码
 */
export const UpdateUserSorter = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Signal/Template/UpdateSorter@V1.0',
		method: 'PUT',
		data: params,
	});
};
//获取信号类型
export async function GetLogicalTreeList(req: any = request) {
	return req({
		url: '/Monitor/Signal/Type/Std/GetLogicalTreeList@V1.0',
		method: 'GET',
	});
}
//根据测点ID获取相应的列表
export async function GetByGroupID(params, req: any = request) {
	return req({
		url: '/Monitor/Signal/Template/GetByTemplateID@V1.0',
		method: 'GET',
		params: params,
	});
}
//获取系统标签
export async function GetBySysType(params, req: any = request) {
	return req({
		url: '/Basic/Sys/Flag/Std/GetFlagListBySysType@V1.0',
		method: 'GET',
		params: params,
	});
}
//获取检测公式
export async function GetSupportLogicalTreeList(params, req: any = request) {
	return req({
		url: '/Monitor/Formula/Std/GetSupportLogicalTreeList@V1.0',
		method: 'GET',
		params: params,
	});
}
//#endregion
